Page MenuHomePhabricator

eo incorrectly missing methods present in interface hierarchy
Closed, ResolvedPublic

Description

In Efl.Net.Dialer.Http I have the following structure:

interface Efl.Io.Reader;
interface Efl.Io.Writer;
interface Efl.Io.Closer;
interface Efl.Net.Socket (Efl.Io.Reader, Efl.Io.Writer, Efl.Io.Closer);
interface Efl.Net.Dialer (Efl.Net.Socket);
class Efl.Net.Dialer.Http (Efl.Loop_User, Efl.Net.Dialer, Efl.Io.Sizer);

Then Efl.Net.Dialer.Http should access methods described in both Efl.Io.Reader, Efl.Io.Writer and Efl.Io.Closer, but it doesn't find these unless I explicitly give them to class Efl.Net.Dialer.Http declaration line. The EINA_LOG_LEVELS=eo:4 says:

DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Dialer_Http':0x555638798990
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272be0->0x7f1bd26f33c0 'efl_constructor'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd26f31f0 'efl_destructor'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee3d0->0x7f1bd26f2530 'efl_net_dialer_dial'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee190->0x7f1bd26f2a90 'efl_net_dialer_address_dial_set'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee0e0->0x7f1bd26ef0e0 'efl_net_dialer_address_dial_get'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee310->0x7f1bd26f1f10 'efl_net_dialer_connected_set'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee250->0x7f1bd26ef0f0 'efl_net_dialer_connected_get'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ebf90->0x7f1bd26f2900 'efl_net_socket_address_local_set'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ebee0->0x7f1bd26ef100 'efl_net_socket_address_local_get'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ec100->0x7f1bd26f2990 'efl_net_socket_address_remote_set'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ec050->0x7f1bd26ef110 'efl_net_socket_address_remote_get'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efe00->0x7f1bd26f0fb0 'efl_io_reader_read'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efb00->0x7f1bd26ef120 'efl_io_reader_can_read_get'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efbc0->0x7f1bd26f1ea0 'efl_io_reader_can_read_set'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efc80->0x7f1bd26ef130 'efl_io_reader_eos_get'
DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efd40->0x7f1bd26f1e20 'efl_io_reader_eos_set'
ERR<7671>:eo lib/eo/eo.c:683 _eo_class_funcs_set() Class 'Efl_Net_Dialer_Http': Can't find api func description in class hierarchy (0x7f1bd10f0970->0x7f1bd26f1a30) (efl_io_writer_write).
ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef2c0
ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef430
ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef720
ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef8a0
ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efa50
ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efbd0
ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef4f0

One can check this with the following change to https://git.enlightenment.org/core/efl.git/tree/src/lib/ecore_con/efl_net_dialer_http.eo?h=devs/barbieri/efl-io-interfaces&id=67f070506b1faded757c7a1b50f670ca9fb48160

diff --git a/src/lib/ecore_con/efl_net_dialer_http.eo b/src/lib/ecore_con/efl_net_dialer_http.eo
index 54f7308..46e23b5 100644
--- a/src/lib/ecore_con/efl_net_dialer_http.eo
+++ b/src/lib/ecore_con/efl_net_dialer_http.eo
@@ -6,7 +6,7 @@ enum Efl.Net.Dialer.Http.Primary_Mode {
     upload,
 }
 
-class Efl.Net.Dialer.Http (Efl.Loop_User, Efl.Net.Dialer, Efl.Io.Reader, Efl.Io.Writer, Efl.Io.Sizer) { /* TODO: reader/writer should be from dialer->socket, but are being missed somehow... */
+class Efl.Net.Dialer.Http (Efl.Loop_User, Efl.Net.Dialer, Efl.Io.Sizer) {
     [[HTTP Dialer (Client).
 
       The effective URL in use, if @.allow_redirects is $true will be

Which generates matching change in .eo.c:

--- /tmp/working.eo.c	2016-08-22 11:31:20.733964657 -0300
+++ src/lib/ecore_con/efl_net_dialer_http.eo.c	2016-08-22 11:34:07.105809579 -0300
@@ -257,4 +257,4 @@
      NULL
 };

-EFL_DEFINE_CLASS(efl_net_dialer_http_class_get, &_efl_net_dialer_http_class_desc, EFL_LOOP_USER_CLASS, EFL_NET_DIALER_INTERFACE, EFL_IO_READER_INTERFACE, EFL_IO_WRITER_INTERFACE, EFL_IO_SIZER_MIXIN, NULL);
+EFL_DEFINE_CLASS(efl_net_dialer_http_class_get, &_efl_net_dialer_http_class_desc, EFL_LOOP_USER_CLASS, EFL_NET_DIALER_INTERFACE, EFL_IO_SIZER_MIXIN, NULL);

The full diff of the execution log follows. Note that there are many differences due pointers changing, but careful analysis should skip those:

--- /tmp/working.eo.log	2016-08-22 11:39:40.189586617 -0300
+++ /tmp/broken.eo.log	2016-08-22 11:39:26.172199404 -0300
@@ -5,7 +5,7 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Class'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Class'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Class' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Class':0x56391a8a6bc0
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Class':0x555638780bc0
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Class'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Object'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Object'
@@ -14,49 +14,49 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Object'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Object'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Object':0x56391a8af210
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01cdd0->0x7feade021df0 'efl_parent_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01ce90->0x7feade01cc00 'efl_parent_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01cf40->0x7feade0208b0 'efl_name_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d000->0x7feade01cbc0 'efl_name_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d0b0->0x7feade0207a0 'efl_comment_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d170->0x7feade01cbe0 'efl_comment_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d220->0x7feade01ccb0 'efl_event_global_freeze_count_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d2e0->0x7feade01cc90 'efl_event_freeze_count_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d3a0->0x7feade0209b0 'efl_finalized_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d460->0x7feade01fdc0 'efl_key_data_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d520->0x7feade01f870 'efl_key_data_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d5e0->0x7feade01fdd0 'efl_key_ref_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d6a0->0x7feade01f860 'efl_key_ref_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d760->0x7feade01fe20 'efl_key_wref_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d820->0x7feade01f850 'efl_key_wref_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d8e0->0x7feade01fe60 'efl_key_value_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d9a0->0x7feade01f840 'efl_key_value_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01da60->0x7feade01f030 'efl_del'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01db00->0x7feade01dbc0 'efl_provider_find'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feade01efe0 'efl_constructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade020db0 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dd30->0x7feade01ccf0 'efl_finalize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dde0->0x7feade020340 'efl_name_find'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dea0->0x7feade01fb90 'efl_wref_add'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01df60->0x7feade01f0f0 'efl_wref_del'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e020->0x7feade01f6f0 'efl_event_thaw'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e0c0->0x7feade01cc80 'efl_event_freeze'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e160->0x7feade01f6a0 'efl_event_global_thaw'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e200->0x7feade01cca0 'efl_event_global_freeze'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e2a0->0x7feade01ee90 'efl_event_callback_priority_add'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e3b0->0x7feade01f3f0 'efl_event_callback_del'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e4a0->0x7feade01ed80 'efl_event_callback_array_priority_add'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e580->0x7feade01f330 'efl_event_callback_array_del'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e650->0x7feade01f880 'efl_event_callback_call'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e720->0x7feade01cc70 'efl_event_callback_stop'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e7f0->0x7feade01e390 'efl_event_callback_forwarder_add'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e8b0->0x7feade01e490 'efl_event_callback_forwarder_del'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e970->0x7feade01cc60 'efl_dbg_info_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01ea30->0x7feade020b00 'efl_children_iterator_new'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01eae0->0x7feade0218e0 'efl_composite_attach'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01ebb0->0x7feade0215c0 'efl_composite_detach'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01ec80->0x7feade01ccc0 'efl_composite_part_is'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Object':0x555638789210
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2271dd0->0x7f1bd2276df0 'efl_parent_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2271e90->0x7f1bd2271c00 'efl_parent_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2271f40->0x7f1bd22758b0 'efl_name_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272000->0x7f1bd2271bc0 'efl_name_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22720b0->0x7f1bd22757a0 'efl_comment_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272170->0x7f1bd2271be0 'efl_comment_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272220->0x7f1bd2271cb0 'efl_event_global_freeze_count_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22722e0->0x7f1bd2271c90 'efl_event_freeze_count_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22723a0->0x7f1bd22759b0 'efl_finalized_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272460->0x7f1bd2274dc0 'efl_key_data_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272520->0x7f1bd2274870 'efl_key_data_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22725e0->0x7f1bd2274dd0 'efl_key_ref_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22726a0->0x7f1bd2274860 'efl_key_ref_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272760->0x7f1bd2274e20 'efl_key_wref_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272820->0x7f1bd2274850 'efl_key_wref_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22728e0->0x7f1bd2274e60 'efl_key_value_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22729a0->0x7f1bd2274840 'efl_key_value_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272a60->0x7f1bd2274030 'efl_del'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272b00->0x7f1bd2272bc0 'efl_provider_find'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272be0->0x7f1bd2273fe0 'efl_constructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd2275db0 'efl_destructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272d30->0x7f1bd2271cf0 'efl_finalize'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272de0->0x7f1bd2275340 'efl_name_find'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272ea0->0x7f1bd2274b90 'efl_wref_add'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272f60->0x7f1bd22740f0 'efl_wref_del'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273020->0x7f1bd22746f0 'efl_event_thaw'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22730c0->0x7f1bd2271c80 'efl_event_freeze'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273160->0x7f1bd22746a0 'efl_event_global_thaw'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273200->0x7f1bd2271ca0 'efl_event_global_freeze'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22732a0->0x7f1bd2273e90 'efl_event_callback_priority_add'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22733b0->0x7f1bd22743f0 'efl_event_callback_del'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22734a0->0x7f1bd2273d80 'efl_event_callback_array_priority_add'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273580->0x7f1bd2274330 'efl_event_callback_array_del'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273650->0x7f1bd2274880 'efl_event_callback_call'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273720->0x7f1bd2271c70 'efl_event_callback_stop'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22737f0->0x7f1bd2273390 'efl_event_callback_forwarder_add'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd22738b0->0x7f1bd2273490 'efl_event_callback_forwarder_del'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273970->0x7f1bd2271c60 'efl_dbg_info_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273a30->0x7f1bd2275b00 'efl_children_iterator_new'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273ae0->0x7f1bd22768e0 'efl_composite_attach'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273bb0->0x7f1bd22765c0 'efl_composite_detach'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2273c80->0x7f1bd2271cc0 'efl_composite_part_is'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Object'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Vpath'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Vpath'
@@ -65,8 +65,8 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Vpath'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Vpath'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Vpath' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Vpath':0x56391a8af100
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce877b0->(nil) 'efl_vpath_fetch'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Vpath':0x555638789100
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10dc7b0->(nil) 'efl_vpath_fetch'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Vpath'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Vpath_Core'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Vpath_Core'
@@ -77,13 +77,13 @@
 DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Vpath' extension
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Vpath_Core' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Vpath_Core':0x56391a8ae370
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feadce98d90 'efl_constructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feadce98680 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce877b0->0x7feadce97db0 'efl_vpath_fetch'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce97b80->0x7feadce98630 'efl_vpath_core_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce97c30->0x7feadce981e0 'efl_vpath_core_meta_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce97cf0->0x7feadce98130 'efl_vpath_core_meta_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Vpath_Core':0x555638788370
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272be0->0x7f1bd10edd90 'efl_constructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd10ed680 'efl_destructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10dc7b0->0x7f1bd10ecdb0 'efl_vpath_fetch'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ecb80->0x7f1bd10ed630 'efl_vpath_core_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ecc30->0x7f1bd10ed1e0 'efl_vpath_core_meta_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10eccf0->0x7f1bd10ed130 'efl_vpath_core_meta_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Vpath_Core'
 DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000000000001 - Efl_Vpath_Core.
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Vpath_Manager'
@@ -94,10 +94,10 @@
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Vpath_Manager'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Vpath_Manager' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Vpath_Manager':0x56391a8b3090
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce97450->0x7feadce97750 'efl_vpath_manager_fetch'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce97510->0x7feadce976e0 'efl_vpath_manager_register'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce975d0->0x7feadce97690 'efl_vpath_manager_unregister'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Vpath_Manager':0x55563878d090
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ec450->0x7f1bd10ec750 'efl_vpath_manager_fetch'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ec510->0x7f1bd10ec6e0 'efl_vpath_manager_register'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ec5d0->0x7f1bd10ec690 'efl_vpath_manager_unregister'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Vpath_Manager'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Loop'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Loop'
@@ -107,21 +107,21 @@
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Loop'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Loop':0x56391a8b2450
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feade2468d0 'efl_constructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade246890 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01db00->0x7feade246820 'efl_provider_find'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade243220->0x7feade2467d0 'efl_loop_main_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2432d0->0x7feade2430a0 'efl_loop_app_efl_version_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade243380->0x7feade2430b0 'efl_loop_efl_version_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade243430->0x7feade245c70 'efl_loop_iterate'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2434d0->0x7feade245cc0 'efl_loop_iterate_may_block'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2435a0->0x7feade245dc0 'efl_loop_begin'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade243660->0x7feade244040 'efl_loop_quit'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade243720->0x7feade243b40 'efl_loop_job'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2437e0->0x7feade243c10 'efl_loop_timeout'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2438c0->0x7feade243a90 'efl_loop_register'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade243990->0x7feade243a60 'efl_loop_unregister'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Loop':0x55563878c450
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272be0->0x7f1bd249b8d0 'efl_constructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd249b890 'efl_destructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272b00->0x7f1bd249b820 'efl_provider_find'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2498220->0x7f1bd249b7d0 'efl_loop_main_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24982d0->0x7f1bd24980a0 'efl_loop_app_efl_version_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2498380->0x7f1bd24980b0 'efl_loop_efl_version_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2498430->0x7f1bd249ac70 'efl_loop_iterate'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24984d0->0x7f1bd249acc0 'efl_loop_iterate_may_block'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24985a0->0x7f1bd249adc0 'efl_loop_begin'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2498660->0x7f1bd2499040 'efl_loop_quit'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2498720->0x7f1bd2498b40 'efl_loop_job'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24987e0->0x7f1bd2498c10 'efl_loop_timeout'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24988c0->0x7f1bd2498a90 'efl_loop_register'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2498990->0x7f1bd2498a60 'efl_loop_unregister'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Loop'
 DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000010000002 - Efl_Loop.
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Ecore_Parent'
@@ -132,7 +132,7 @@
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Ecore_Parent'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Ecore_Parent' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Ecore_Parent':0x56391a8b6330
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Ecore_Parent':0x555638790330
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Ecore_Parent'
 DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000020000003 - Ecore_Parent.
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Loop_User'
@@ -143,9 +143,9 @@
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Loop_User'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_User' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Loop_User':0x56391a8b73d0
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01cdd0->0x7feade246db0 'efl_parent_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade246990->0x7feade246a40 'efl_loop_user_loop_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Loop_User':0x5556387913d0
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2271dd0->0x7f1bd249bdb0 'efl_parent_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249b990->0x7f1bd249ba40 'efl_loop_user_loop_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Loop_User'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Loop_Fd'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Loop_Fd'
@@ -156,14 +156,14 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_Fd' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_User' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Loop_Fd':0x56391a8b7b40
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feade247850 'efl_constructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade247810 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01cdd0->0x7feade2477b0 'efl_parent_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade246e80->0x7feade247220 'efl_loop_fd_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade246f40->0x7feade246e40 'efl_loop_fd_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade247000->0x7feade247210 'efl_loop_fd_file_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2470c0->0x7feade246e60 'efl_loop_fd_file_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Loop_Fd':0x555638791b40
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272be0->0x7f1bd249c850 'efl_constructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd249c810 'efl_destructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2271dd0->0x7f1bd249c7b0 'efl_parent_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249be80->0x7f1bd249c220 'efl_loop_fd_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249bf40->0x7f1bd249be40 'efl_loop_fd_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249c000->0x7f1bd249c210 'efl_loop_fd_file_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249c0c0->0x7f1bd249be60 'efl_loop_fd_file_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Loop_Fd'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Reader'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Reader'
@@ -172,12 +172,12 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Io_Reader'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Io_Reader'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Reader' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Reader':0x56391a8b8400
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ab00->(nil) 'efl_io_reader_can_read_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9abc0->(nil) 'efl_io_reader_can_read_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ac80->(nil) 'efl_io_reader_eos_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ad40->(nil) 'efl_io_reader_eos_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ae00->(nil) 'efl_io_reader_read'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Reader':0x555638792400
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efb00->(nil) 'efl_io_reader_can_read_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efbc0->(nil) 'efl_io_reader_can_read_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efc80->(nil) 'efl_io_reader_eos_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efd40->(nil) 'efl_io_reader_eos_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efe00->(nil) 'efl_io_reader_read'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Reader'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Reader_Fd'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Reader_Fd'
@@ -188,14 +188,14 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Reader_Fd' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Reader' to MRO
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Reader_Fd' to Data Offset info
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Reader_Fd':0x56391a8b8900
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ae00->0x7feade248630 'efl_io_reader_read'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ab00->0x7feade248490 'efl_io_reader_can_read_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9abc0->0x7feade2487b0 'efl_io_reader_can_read_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ac80->0x7feade2484a0 'efl_io_reader_eos_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ad40->0x7feade248740 'efl_io_reader_eos_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2484b0->0x7feade248470 'efl_io_reader_fd_reader_fd_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade248570->0x7feade248480 'efl_io_reader_fd_reader_fd_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Reader_Fd':0x555638792900
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efe00->0x7f1bd249d630 'efl_io_reader_read'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efb00->0x7f1bd249d490 'efl_io_reader_can_read_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efbc0->0x7f1bd249d7b0 'efl_io_reader_can_read_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efc80->0x7f1bd249d4a0 'efl_io_reader_eos_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efd40->0x7f1bd249d740 'efl_io_reader_eos_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249d4b0->0x7f1bd249d470 'efl_io_reader_fd_reader_fd_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249d570->0x7f1bd249d480 'efl_io_reader_fd_reader_fd_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Reader_Fd'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Stdin'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Stdin'
@@ -211,10 +211,10 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_User' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Reader_Fd' to Data Offset info
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Stdin':0x56391a8b8ef0
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dd30->0x7feade249c40 'efl_finalize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade246e80->0x7feade249c00 'efl_loop_fd_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ae00->0x7feade249bb0 'efl_io_reader_read'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Stdin':0x555638792ef0
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272d30->0x7f1bd249ec40 'efl_finalize'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249be80->0x7f1bd249ec00 'efl_loop_fd_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efe00->0x7f1bd249ebb0 'efl_io_reader_read'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Stdin'
 DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000030000004 - Efl_Io_Stdin.
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Positioner'
@@ -224,10 +224,10 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Io_Positioner'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Io_Positioner'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Positioner' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Positioner':0x56391a8b9a30
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a530->(nil) 'efl_io_positioner_position_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a5f0->0x7feadce9a790 'efl_io_positioner_position_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a6c0->(nil) 'efl_io_positioner_seek'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Positioner':0x555638793a30
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef530->(nil) 'efl_io_positioner_position_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef5f0->0x7f1bd10ef790 'efl_io_positioner_position_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef6c0->(nil) 'efl_io_positioner_seek'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Positioner'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Positioner_Fd'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Positioner_Fd'
@@ -238,11 +238,11 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Positioner_Fd' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Positioner' to MRO
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Positioner_Fd' to Data Offset info
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Positioner_Fd':0x56391a8b9e60
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a6c0->0x7feade2480c0 'efl_io_positioner_seek'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a530->0x7feade248040 'efl_io_positioner_position_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade247ec0->0x7feade247ea0 'efl_io_positioner_fd_positioner_fd_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade247f80->0x7feade247eb0 'efl_io_positioner_fd_positioner_fd_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Positioner_Fd':0x555638793e60
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef6c0->0x7f1bd249d0c0 'efl_io_positioner_seek'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef530->0x7f1bd249d040 'efl_io_positioner_position_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249cec0->0x7f1bd249cea0 'efl_io_positioner_fd_positioner_fd_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249cf80->0x7f1bd249ceb0 'efl_io_positioner_fd_positioner_fd_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Positioner_Fd'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Sizer'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Sizer'
@@ -251,10 +251,10 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Io_Sizer'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Io_Sizer'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Sizer' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Sizer':0x56391a8ba240
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b220->(nil) 'efl_io_sizer_size_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b2e0->0x7feadce9b480 'efl_io_sizer_size_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b3b0->(nil) 'efl_io_sizer_resize'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Sizer':0x555638794240
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f0220->(nil) 'efl_io_sizer_size_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f02e0->0x7f1bd10f0480 'efl_io_sizer_size_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f03b0->(nil) 'efl_io_sizer_resize'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Sizer'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Sizer_Fd'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Sizer_Fd'
@@ -265,11 +265,11 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Sizer_Fd' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Sizer' to MRO
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Sizer_Fd' to Data Offset info
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Sizer_Fd':0x56391a8ba670
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b3b0->0x7feade248da0 'efl_io_sizer_resize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b220->0x7feade248d10 'efl_io_sizer_size_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade248b90->0x7feade248b70 'efl_io_sizer_fd_sizer_fd_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade248c50->0x7feade248b80 'efl_io_sizer_fd_sizer_fd_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Sizer_Fd':0x555638794670
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f03b0->0x7f1bd249dda0 'efl_io_sizer_resize'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f0220->0x7f1bd249dd10 'efl_io_sizer_size_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249db90->0x7f1bd249db70 'efl_io_sizer_fd_sizer_fd_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249dc50->0x7f1bd249db80 'efl_io_sizer_fd_sizer_fd_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Sizer_Fd'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Closer'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Closer'
@@ -278,10 +278,10 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Io_Closer'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Io_Closer'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Closer' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Closer':0x56391a8baa50
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce99f60->(nil) 'efl_io_closer_closed_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a020->0x7feadce9a1b0 'efl_io_closer_closed_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a0f0->(nil) 'efl_io_closer_close'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Closer':0x555638794a50
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10eef60->(nil) 'efl_io_closer_closed_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef020->0x7f1bd10ef1b0 'efl_io_closer_closed_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef0f0->(nil) 'efl_io_closer_close'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Closer'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Closer_Fd'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Closer_Fd'
@@ -292,11 +292,11 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Closer_Fd' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Closer' to MRO
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Closer_Fd' to Data Offset info
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Closer_Fd':0x56391a8bae80
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a0f0->0x7feade247ac0 'efl_io_closer_close'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce99f60->0x7feade247aa0 'efl_io_closer_closed_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade247920->0x7feade247900 'efl_io_closer_fd_closer_fd_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2479e0->0x7feade247910 'efl_io_closer_fd_closer_fd_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Closer_Fd':0x555638794e80
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef0f0->0x7f1bd249cac0 'efl_io_closer_close'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10eef60->0x7f1bd249caa0 'efl_io_closer_closed_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249c920->0x7f1bd249c900 'efl_io_closer_fd_closer_fd_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249c9e0->0x7f1bd249c910 'efl_io_closer_fd_closer_fd_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Closer_Fd'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Writer'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Writer'
@@ -305,10 +305,10 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Io_Writer'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Io_Writer'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Writer' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Writer':0x56391a8bb470
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b7f0->(nil) 'efl_io_writer_can_write_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b8b0->(nil) 'efl_io_writer_can_write_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b970->(nil) 'efl_io_writer_write'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Writer':0x555638795470
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f07f0->(nil) 'efl_io_writer_can_write_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f08b0->(nil) 'efl_io_writer_can_write_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f0970->(nil) 'efl_io_writer_write'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Writer'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Writer_Fd'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Writer_Fd'
@@ -319,12 +319,12 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Writer_Fd' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Writer' to MRO
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Writer_Fd' to Data Offset info
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Writer_Fd':0x56391a8bb8a0
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b970->0x7feade2492f0 'efl_io_writer_write'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b7f0->0x7feade249160 'efl_io_writer_can_write_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b8b0->0x7feade249450 'efl_io_writer_can_write_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade249170->0x7feade249140 'efl_io_writer_fd_writer_fd_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade249230->0x7feade249150 'efl_io_writer_fd_writer_fd_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Writer_Fd':0x5556387958a0
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f0970->0x7f1bd249e2f0 'efl_io_writer_write'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f07f0->0x7f1bd249e160 'efl_io_writer_can_write_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f08b0->0x7f1bd249e450 'efl_io_writer_can_write_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249e170->0x7f1bd249e140 'efl_io_writer_fd_writer_fd_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249e230->0x7f1bd249e150 'efl_io_writer_fd_writer_fd_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Writer_Fd'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_File'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_File'
@@ -333,16 +333,16 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_File'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_File'
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_File' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_File':0x56391a8bbc80
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce7fe80->(nil) 'efl_file_mmap_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce7ff40->(nil) 'efl_file_mmap_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce80010->(nil) 'efl_file_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce800d0->(nil) 'efl_file_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce801a0->(nil) 'efl_file_async_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce80260->(nil) 'efl_file_async_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce80320->(nil) 'efl_file_save'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce80400->(nil) 'efl_file_eject'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce804a0->(nil) 'efl_file_async_wait'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_File':0x555638795c80
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d4e80->(nil) 'efl_file_mmap_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d4f40->(nil) 'efl_file_mmap_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d5010->(nil) 'efl_file_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d50d0->(nil) 'efl_file_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d51a0->(nil) 'efl_file_async_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d5260->(nil) 'efl_file_async_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d5320->(nil) 'efl_file_save'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d5400->(nil) 'efl_file_eject'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d54a0->(nil) 'efl_file_async_wait'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_File'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_File'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_File'
@@ -375,21 +375,21 @@
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Closer_Fd' to Data Offset info
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Sizer_Fd' to Data Offset info
 DBG:eo lib/eo/eo.c:1318 efl_class_new() Added 'Efl_Io_Positioner_Fd' to Data Offset info
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_File':0x56391a8bc350
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade24b220 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dd30->0x7feade24b130 'efl_finalize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade247000->0x7feade24b0b0 'efl_loop_fd_file_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce800d0->0x7feade24aaa0 'efl_file_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce80010->0x7feade24a620 'efl_file_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ae00->0x7feade24b050 'efl_io_reader_read'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b970->0x7feade24aff0 'efl_io_writer_write'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a0f0->0x7feade24af90 'efl_io_closer_close'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b3b0->0x7feade24af30 'efl_io_sizer_resize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a6c0->0x7feade24aed0 'efl_io_positioner_seek'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24a640->0x7feade24a990 'efl_io_file_flags_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24a700->0x7feade24a600 'efl_io_file_flags_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24a7c0->0x7feade24a940 'efl_io_file_mode_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24a880->0x7feade24a610 'efl_io_file_mode_get'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_File':0x555638796350
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd24a0220 'efl_destructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272d30->0x7f1bd24a0130 'efl_finalize'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249c000->0x7f1bd24a00b0 'efl_loop_fd_file_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d50d0->0x7f1bd249faa0 'efl_file_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10d5010->0x7f1bd249f620 'efl_file_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efe00->0x7f1bd24a0050 'efl_io_reader_read'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f0970->0x7f1bd249fff0 'efl_io_writer_write'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef0f0->0x7f1bd249ff90 'efl_io_closer_close'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10f03b0->0x7f1bd249ff30 'efl_io_sizer_resize'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef6c0->0x7f1bd249fed0 'efl_io_positioner_seek'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249f640->0x7f1bd249f990 'efl_io_file_flags_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249f700->0x7f1bd249f600 'efl_io_file_flags_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249f7c0->0x7f1bd249f940 'efl_io_file_mode_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd249f880->0x7f1bd249f610 'efl_io_file_mode_get'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_File'
 DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000040000005 - Efl_Io_File.
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Net_Socket'
@@ -403,11 +403,11 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Net_Socket' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Closer' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Reader' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Socket':0x56391a8bd530
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade496ee0->(nil) 'efl_net_socket_address_local_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade496f90->(nil) 'efl_net_socket_address_local_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade497050->(nil) 'efl_net_socket_address_remote_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade497100->(nil) 'efl_net_socket_address_remote_set'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Socket':0x555638797530
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ebee0->(nil) 'efl_net_socket_address_local_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ebf90->(nil) 'efl_net_socket_address_local_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ec050->(nil) 'efl_net_socket_address_remote_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ec100->(nil) 'efl_net_socket_address_remote_set'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Net_Socket'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Net_Dialer'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Net_Dialer'
@@ -419,12 +419,12 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Net_Socket' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Closer' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Reader' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Dialer':0x56391a8be030
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade4990e0->(nil) 'efl_net_dialer_address_dial_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499190->(nil) 'efl_net_dialer_address_dial_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499250->(nil) 'efl_net_dialer_connected_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499310->(nil) 'efl_net_dialer_connected_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade4993d0->(nil) 'efl_net_dialer_dial'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Dialer':0x555638798030
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee0e0->(nil) 'efl_net_dialer_address_dial_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee190->(nil) 'efl_net_dialer_address_dial_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee250->(nil) 'efl_net_dialer_connected_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee310->(nil) 'efl_net_dialer_connected_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee3d0->(nil) 'efl_net_dialer_dial'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Net_Dialer'
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Net_Dialer_Http'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Net_Dialer_Http'
@@ -433,68 +433,36 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Net_Dialer_Http'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Net_Dialer_Http'
 DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Net_Dialer' extension
-DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Io_Reader' extension
-DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Io_Writer' extension
 DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Io_Sizer' extension
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Net_Dialer_Http' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Sizer' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_User' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Dialer_Http':0x56391a8be990
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feade49e3e0 'efl_constructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade49e210 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade4993d0->0x7feade49d530 'efl_net_dialer_dial'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499190->0x7feade49da90 'efl_net_dialer_address_dial_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade4990e0->0x7feade49a0e0 'efl_net_dialer_address_dial_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499310->0x7feade49cf10 'efl_net_dialer_connected_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499250->0x7feade49a0f0 'efl_net_dialer_connected_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade496f90->0x7feade49d900 'efl_net_socket_address_local_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade496ee0->0x7feade49a100 'efl_net_socket_address_local_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade497100->0x7feade49d990 'efl_net_socket_address_remote_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade497050->0x7feade49a110 'efl_net_socket_address_remote_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ae00->0x7feade49bfb0 'efl_io_reader_read'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ab00->0x7feade49a120 'efl_io_reader_can_read_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9abc0->0x7feade49cea0 'efl_io_reader_can_read_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ac80->0x7feade49a130 'efl_io_reader_eos_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ad40->0x7feade49ce20 'efl_io_reader_eos_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b970->0x7feade49ca30 'efl_io_writer_write'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b7f0->0x7feade49a140 'efl_io_writer_can_write_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b8b0->0x7feade49c860 'efl_io_writer_can_write_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a0f0->0x7feade49d380 'efl_io_closer_close'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce99f60->0x7feade49a150 'efl_io_closer_closed_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b3b0->0x7feade49d2b0 'efl_io_sizer_resize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b220->0x7feade49d0e0 'efl_io_sizer_size_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a2c0->0x7feade49db40 'efl_net_dialer_http_method_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a380->0x7feade49a160 'efl_net_dialer_http_method_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a430->0x7feade49a170 'efl_net_dialer_http_primary_mode_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a4f0->0x7feade49d0a0 'efl_net_dialer_http_primary_mode_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a5b0->0x7feade49d9e0 'efl_net_dialer_http_user_agent_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a670->0x7feade49a180 'efl_net_dialer_http_user_agent_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a720->0x7feade49bc60 'efl_net_dialer_http_version_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a7e0->0x7feade49a190 'efl_net_dialer_http_version_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a8a0->0x7feade49bd90 'efl_net_dialer_http_authentication_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49a980->0x7feade49a1a0 'efl_net_dialer_http_authentication_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49aa50->0x7feade49bbc0 'efl_net_dialer_http_allow_redirects_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49ab10->0x7feade49a1e0 'efl_net_dialer_http_allow_redirects_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49abd0->0x7feade49bb10 'efl_net_dialer_http_timeout_dial_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49ac90->0x7feade49a1f0 'efl_net_dialer_http_timeout_dial_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49ad50->0x7feade49d140 'efl_net_dialer_http_request_content_length_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49ae10->0x7feade49a250 'efl_net_dialer_http_request_content_length_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49aed0->0x7feade49d260 'efl_net_dialer_http_response_content_length_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49af90->0x7feade49a260 'efl_net_dialer_http_response_content_length_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b050->0x7feade49d940 'efl_net_dialer_http_response_content_type_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b110->0x7feade49a270 'efl_net_dialer_http_response_content_type_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b1c0->0x7feade49a200 'efl_net_dialer_http_response_status_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b280->0x7feade49a280 'efl_net_dialer_http_progress_download_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b340->0x7feade49a2a0 'efl_net_dialer_http_progress_upload_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b400->0x7feade49b9e0 'efl_net_dialer_http_request_header_add'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b4c0->0x7feade49a210 'efl_net_dialer_http_request_headers_clear'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b560->0x7feade49c7e0 'efl_net_dialer_http_request_headers_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b610->0x7feade49b880 'efl_net_dialer_http_response_headers_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b6c0->0x7feade49b870 'efl_net_dialer_http_response_headers_all_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade49b770->0x7feade49b830 'efl_net_dialer_http_response_headers_clear'
-DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Net_Dialer_Http'
-DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000050000006 - Efl_Net_Dialer_Http.
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Dialer_Http':0x555638798990
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272be0->0x7f1bd26f33c0 'efl_constructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd26f31f0 'efl_destructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee3d0->0x7f1bd26f2530 'efl_net_dialer_dial'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee190->0x7f1bd26f2a90 'efl_net_dialer_address_dial_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee0e0->0x7f1bd26ef0e0 'efl_net_dialer_address_dial_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee310->0x7f1bd26f1f10 'efl_net_dialer_connected_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ee250->0x7f1bd26ef0f0 'efl_net_dialer_connected_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ebf90->0x7f1bd26f2900 'efl_net_socket_address_local_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ebee0->0x7f1bd26ef100 'efl_net_socket_address_local_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ec100->0x7f1bd26f2990 'efl_net_socket_address_remote_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd26ec050->0x7f1bd26ef110 'efl_net_socket_address_remote_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efe00->0x7f1bd26f0fb0 'efl_io_reader_read'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efb00->0x7f1bd26ef120 'efl_io_reader_can_read_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efbc0->0x7f1bd26f1ea0 'efl_io_reader_can_read_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efc80->0x7f1bd26ef130 'efl_io_reader_eos_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10efd40->0x7f1bd26f1e20 'efl_io_reader_eos_set'
+ERR<7671>:eo lib/eo/eo.c:683 _eo_class_funcs_set() Class 'Efl_Net_Dialer_Http': Can't find api func description in class hierarchy (0x7f1bd10f0970->0x7f1bd26f1a30) (efl_io_writer_write).
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef2c0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef430
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef720
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef8a0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efa50
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efbd0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef4f0
 DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Io_Copier'
 DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Io_Copier'
 DBG:eo lib/eo/eo.c:1212 efl_class_new() Started building MRO list for class 'Efl_Io_Copier'
@@ -506,106 +474,53 @@
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Closer' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_User' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Copier':0x56391a907120
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feade24e980 'efl_constructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade24e670 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dd30->0x7feade24e310 'efl_finalize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9a0f0->0x7feade24be20 'efl_io_closer_close'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce99f60->0x7feade24b2d0 'efl_io_closer_closed_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b310->0x7feade24c8c0 'efl_io_copier_source_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b3d0->0x7feade24b270 'efl_io_copier_source_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b480->0x7feade24bc90 'efl_io_copier_destination_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b540->0x7feade24b280 'efl_io_copier_destination_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b5f0->0x7feade24c3e0 'efl_io_copier_line_delimiter_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b6b0->0x7feade24b2a0 'efl_io_copier_line_delimiter_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b760->0x7feade24c340 'efl_io_copier_buffer_limit_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b820->0x7feade24b290 'efl_io_copier_buffer_limit_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b8e0->0x7feade24c290 'efl_io_copier_read_chunk_size_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24b9a0->0x7feade24b2b0 'efl_io_copier_read_chunk_size_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24ba60->0x7feade24b2e0 'efl_io_copier_progress_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade24bb30->0x7feade24bbe0 'efl_io_copier_binbuf_steal'
+DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Io_Copier':0x555638798990
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272be0->0x7f1bd24a3980 'efl_constructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272c90->0x7f1bd24a3670 'efl_destructor'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd2272d30->0x7f1bd24a3310 'efl_finalize'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10ef0f0->0x7f1bd24a0e20 'efl_io_closer_close'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd10eef60->0x7f1bd24a02d0 'efl_io_closer_closed_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a0310->0x7f1bd24a18c0 'efl_io_copier_source_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a03d0->0x7f1bd24a0270 'efl_io_copier_source_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a0480->0x7f1bd24a0c90 'efl_io_copier_destination_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a0540->0x7f1bd24a0280 'efl_io_copier_destination_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a05f0->0x7f1bd24a13e0 'efl_io_copier_line_delimiter_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a06b0->0x7f1bd24a02a0 'efl_io_copier_line_delimiter_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a0760->0x7f1bd24a1340 'efl_io_copier_buffer_limit_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a0820->0x7f1bd24a0290 'efl_io_copier_buffer_limit_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a08e0->0x7f1bd24a1290 'efl_io_copier_read_chunk_size_set'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a09a0->0x7f1bd24a02b0 'efl_io_copier_read_chunk_size_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a0a60->0x7f1bd24a02e0 'efl_io_copier_progress_get'
+DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7f1bd24a0b30->0x7f1bd24a0be0 'efl_io_copier_binbuf_steal'
 DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Io_Copier'
+DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000050000006 - Efl_Io_Copier.
+INFO: sending stdin->(null)
 DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000060000007 - Efl_Io_Copier.
-INFO: sending stdin->dialer
-DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000070000008 - Efl_Io_Copier.
-INFO: receiving dialer->output
-DBG:eo lib/eo/eo.c:1177 efl_class_new() Started building extensions list for class 'Efl_Loop_Timer'
-DBG:eo lib/eo/eo.c:1207 efl_class_new() Finished building extensions list for class 'Efl_Loop_Timer'
-DBG:eo lib/eo/eo.c:1212 efl_class_new() Started building MRO list for class 'Efl_Loop_Timer'
-DBG:eo lib/eo/eo.c:1223 efl_class_new() Finished building MRO list for class 'Efl_Loop_Timer'
-DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Loop_Timer'
-DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Loop_Timer'
-DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_Timer' to MRO
-DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_User' to MRO
-DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO
-DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Loop_Timer':0x56391a922820
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feade251a80 'efl_constructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade2519e0 'efl_destructor'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dd30->0x7feade2519b0 'efl_finalize'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e0c0->0x7feade251940 'efl_event_freeze'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01cdd0->0x7feade250b50 'efl_parent_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01d2e0->0x7feade250520 'efl_event_freeze_count_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01e020->0x7feade2518b0 'efl_event_thaw'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2506d0->0x7feade250680 'efl_loop_timer_interval_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade250790->0x7feade250510 'efl_loop_timer_interval_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade250860->0x7feade250b20 'efl_loop_timer_pending_get'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade250920->0x7feade250c60 'efl_loop_timer_reset'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade2509c0->0x7feade250dd0 'efl_loop_timer_loop_reset'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade250a60->0x7feade250d80 'efl_loop_timer_delay'
-DBG:eo lib/eo/eo.c:1392 efl_class_new() Finished building class 'Efl_Loop_Timer'
-DBG:eo lib/eo/eo_base_class.c:1463 _efl_object_constructor() 0x4000000080000009 - Efl_Loop_Timer.
-INFO: dialed http://www.google.com/
-INFO:  - method=GET
-INFO:  - primary_mode=1
-INFO:  - version=101
-INFO:  - allow_redirects=1
-INFO:  - timeout_dial=30.000000s
+INFO: receiving (null)->output
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efc90
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efb10
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef7e0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef4f0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef380
+INFO: dialed (null)
+INFO:  - method=(null)
+INFO:  - primary_mode=0
+INFO:  - version=0
+INFO:  - allow_redirects=0
+INFO:  - timeout_dial=0.000000s
 INFO:  - request headers:
-INFO: resolved http://www.google.com/ => http://www.google.com/
-INFO: connected http://www.google.com/
-INFO: HTTP/1.1 status=302 url=http://www.google.com/
-INFO:   Cache-Control: private
-INFO:   Content-Type: text/html; charset=UTF-8
-INFO:   Location: http://www.google.com.br/?gfe_rd=cr&ei=7Ay7V7aGMcy--wXI8aagBw
-INFO:   Content-Length: 262
-INFO:   Date: Mon, 22 Aug 2016 14:32:12 GMT
-INFO: content-type: text/html; charset=UTF-8, content-length: -1
-INFO: to upload 0 bytes
-INFO: resolved http://www.google.com/ => http://www.google.com.br/?gfe_rd=cr&ei=7Ay7V7aGMcy--wXI8aagBw
-INFO: connected http://www.google.com/
-INFO: HTTP/1.1 status=200 url=http://www.google.com.br/?gfe_rd=cr&ei=7Ay7V7aGMcy--wXI8aagBw
-INFO:   Date: Mon, 22 Aug 2016 14:32:13 GMT
-INFO:   Expires: -1
-INFO:   Cache-Control: private, max-age=0
-INFO:   Content-Type: text/html; charset=ISO-8859-1
-INFO:   P3P: CP="This is not a P3P policy! See https://www.google.com/support/accounts/answer/151657?hl=en for more info."
-INFO:   Server: gws
-INFO:   X-XSS-Protection: 1; mode=block
-INFO:   X-Frame-Options: SAMEORIGIN
-INFO:   Set-Cookie: NID=84=mfO9SGR5fYja9BUfbrcOShzdDFFmj95fn1toHjWKrQxSgkVHGgPorL9YDln0ev5cd3X-AmqMVrS-C9HQctOCr7YvlK-CxhQCIxyBCkwT0jIAm4iY9wVjRjEwxogD6T2h; expires=Tue, 21-Feb-2017 14:32:13 GMT; path=/; domain=.google.com.br; HttpOnly
-INFO:   Accept-Ranges: none
-INFO:   Vary: Accept-Encoding
-INFO:   Transfer-Encoding: chunked
-INFO: content-type: text/html; charset=ISO-8859-1, content-length: -1
-INFO: to upload 0 bytes
-INFO: eos dialer
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26f0560
 INFO: done receiver, waiting=0
 INFO: main loop finished.
 INFO: closed sender
-DBG:eo lib/eo/eo_base_class.c:1073 _efl_object_event_callback_array_del() Callback of object 0x4000000030000004 with function array 0x7feade4682a0 and data 0x4000000060000007 not found.
-DBG:eo lib/eo/eo_base_class.c:1073 _efl_object_event_callback_array_del() Callback of object 0x4000000050000006 with function array 0x7feade4682e0 and data 0x4000000060000007 not found.
-DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000060000007 - Efl_Io_Copier.
+DBG:eo lib/eo/eo_base_class.c:1073 _efl_object_event_callback_array_del() Callback of object 0x4000000030000004 with function array 0x7f1bd26bd2a0 and data 0x4000000050000006 not found.
+DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000050000006 - Efl_Io_Copier.
 INFO: closed receiver
-DBG:eo lib/eo/eo_base_class.c:1022 _efl_object_event_callback_del() Callback of object 0x4000000050000006 with function 0x7feade24dd50 and data 0x4000000070000008 not found.
-DBG:eo lib/eo/eo_base_class.c:1073 _efl_object_event_callback_array_del() Callback of object 0x4000000050000006 with function array 0x7feade4682a0 and data 0x4000000070000008 not found.
-DBG:eo lib/eo/eo_base_class.c:1073 _efl_object_event_callback_array_del() Callback of object 0x4000000040000005 with function array 0x7feade4682e0 and data 0x4000000070000008 not found.
-DBG:eo lib/eo/eo_base_class.c:1022 _efl_object_event_callback_del() Callback of object 0x4000000040000005 with function 0x7feade24ce00 and data 0x4000000070000008 not found.
-DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000070000008 - Efl_Io_Copier.
-INFO: closed dialer
-DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000050000006 - Efl_Net_Dialer_Http.
+DBG:eo lib/eo/eo_base_class.c:1073 _efl_object_event_callback_array_del() Callback of object 0x4000000040000005 with function array 0x7f1bd26bd2e0 and data 0x4000000060000007 not found.
+DBG:eo lib/eo/eo_base_class.c:1022 _efl_object_event_callback_del() Callback of object 0x4000000040000005 with function 0x7f1bd24a1e00 and data 0x4000000060000007 not found.
+DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000060000007 - Efl_Io_Copier.
 DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000040000005 - Efl_Io_File.
 DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000030000004 - Efl_Io_Stdin.
 DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000010000002 - Efl_Loop.
-DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000080000009 - Efl_Loop_Timer.
 DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000000000001 - Efl_Vpath_Core.
 DBG:eo lib/eo/eo_base_class.c:1476 _efl_object_destructor() 0x4000000020000003 - Ecore_Parent.

Looking at the log, this calls for attention:

@@ -433,68 +433,36 @@
 DBG:eo lib/eo/eo.c:1231 efl_class_new() Started building Mixins list for class 'Efl_Net_Dialer_Http'
 DBG:eo lib/eo/eo.c:1245 efl_class_new() Finished building Mixins list for class 'Efl_Net_Dialer_Http'
 DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Net_Dialer' extension
-DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Io_Reader' extension
-DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Io_Writer' extension
 DBG:eo lib/eo/eo.c:1284 efl_class_new() Added 'Efl_Io_Sizer' extension
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Net_Dialer_Http' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Io_Sizer' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Loop_User' to MRO
 DBG:eo lib/eo/eo.c:1297 efl_class_new() Added 'Efl_Object' to MRO

That is, while building Efl_Net_Dialer_Http the interfaces that should come from Efl.Io.Socket are not being recursively registered as extensions. Then, when assigning the methods, we have the follow relevant diff (pointer differences omitted). See that it goes to Efl.Io.Reader but then fails on the next one Efl.Io.Writer:

 DBG:eo lib/eo/eo.c:626 _eo_class_funcs_set() Set functions for class 'Efl_Net_Dialer_Http':0x56391a8be990
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dbe0->0x7feade49e3e0 'efl_constructor'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade01dc90->0x7feade49e210 'efl_destructor'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade4993d0->0x7feade49d530 'efl_net_dialer_dial'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499190->0x7feade49da90 'efl_net_dialer_address_dial_set'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade4990e0->0x7feade49a0e0 'efl_net_dialer_address_dial_get'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499310->0x7feade49cf10 'efl_net_dialer_connected_set'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade499250->0x7feade49a0f0 'efl_net_dialer_connected_get'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade496f90->0x7feade49d900 'efl_net_socket_address_local_set'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade496ee0->0x7feade49a100 'efl_net_socket_address_local_get'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade497100->0x7feade49d990 'efl_net_socket_address_remote_set'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feade497050->0x7feade49a110 'efl_net_socket_address_remote_get'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ae00->0x7feade49bfb0 'efl_io_reader_read'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ab00->0x7feade49a120 'efl_io_reader_can_read_get'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9abc0->0x7feade49cea0 'efl_io_reader_can_read_set'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ac80->0x7feade49a130 'efl_io_reader_eos_get'
 DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9ad40->0x7feade49ce20 'efl_io_reader_eos_set'
-DBG:eo lib/eo/eo.c:697 _eo_class_funcs_set() 0x7feadce9b970->0x7feade49ca30 'efl_io_writer_write'
+ERR<7671>:eo lib/eo/eo.c:683 _eo_class_funcs_set() Class 'Efl_Net_Dialer_Http': Can't find api func description in class hierarchy (0x7f1bd10f0970->0x7f1bd26f1a30) (efl_io_writer_write).
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef2c0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef430
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef720
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef8a0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efa50
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26efbd0
+ERR<7671>:eo lib/eo/eo.c:606 _efl_object_api_op_id_get() Unable to resolve op for api func 0x7f1bd26ef4f0
tasn added a comment.Sep 2 2016, 7:33 AM

Thanks, your second (redacted) log and analysis is very helpful. I'll only be able to take a look next week (hopefully), but this would really help, and more so, it's probably very simple to fix.

tasn added a comment.Sep 9 2016, 1:49 AM

This should be OK now. Is it?

barbieri closed this task as Resolved.Sep 9 2016, 10:55 AM

it's fixed! thanks.